---

## Offsite Dependency Required!
Must download CustomTextures from NexusMods, as it currently (9/17/23) the only one updated for the Hildur's update.  
https://www.nexusmods.com/valheim/mods/48?tab=files

---

### *Now mostly easier to install!* ###   
But just that... mostly. I've added the mod "This goes here" as a required mod, which lets me move the files automatically to where they need to be. Neat!  
The only problem is that you've still got to manually install CustomTextures. There is a version of that here on ThunderStore, unfortunately it isn't updated for the Hildir's update, but the Nexus version is. C'est la vie.  

You will also need to launch your game twice. I can't quite figure out how to get around this yet, though I'm still playing around with it.  
The first launch creates the config that ThisGoesHere needs to know where to move files. However, ThisGoesHere looks at the files before that gets created... so it has to be run again.  

Still, I feel that this is an improvement over the previous version.  
Once cjayride's CustomTextures port to Thunderstore does get updated, I'll put it as a requirement and it'll *all* be magically done for you.

---

### Description
I really wanted a trans flag to hang up, and this banner already felt close to being that. So using aedenthorn's [Custom Textures](https://www.nexusmods.com/valheim/mods/48) mod, I replaced it!  
For now, the actual banner texture is all that is changed. I'm having issues with replacing the crafting menu icon and will update with that when I can.  
  
I've also included the BumpMap file from MikaelS's [Custom Banners](https://www.nexusmods.com/valheim/mods/185?tab=files) by default. If it looks too clean, you can remove the file "plugins\Mayalaryhn-TransFlag_Banner\texture_Banner_1_n_BumpMap.png". You'll also need to remove it from the plugins\CustomTextures folder if you've already launched Valheim with my mod installed.  

---

### Installation:  
- Install my mod with Thunderstore. This should automatically install both BepInEx and ThisGoesHere, but if it doesnt, grab those from thunderstore as well.    
 - Download [CustomTextures](https://www.nexusmods.com/valheim/mods/48?tab=files) from nexusmods, using the "Manual Download" link.  
 - Open your valheim profile folder; In Thunderstore Mod Manager, select "Settings" from the left, then select the second option, "Browse profile folder".  
 - Select BepInEx from the folder menu, then select plugins.  
 - Paste the contents of your downloaded CustomTextures zip file into here. Should be just one file called "CustomTextures.dll".  

Launch the game through Thunderstore(then exit valheim, then launch again) and you should be good to go! Once you have it working, you can disable the ThisGoesHere mod if you'd like, as that is only needed once.

---

#### Future Plans

I do plan on creating more of these types of things for Valheim, but I'd really like to figure out how to make them their own items instead of texture replacements.
So, thats my next goal for now, and then adding the rest of the rainbow after! (but don't expect anything timely, I take awhile)

---